%define upstream_name    Test-ConsistentVersion
%define upstream_version v0.3.0

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Ensures distribution versions are consistent
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Module::Build)
BuildRequires: perl(Test::Builder) >= 0.940.0
BuildRequires: perl(autodie)
BuildRequires: perl(version)
BuildArch:  noarch

%description
The purpose of this module is to make it easy for other distribution
authors to have consistent version numbers within the modules (as well as
readme file and changelog) of the distribution.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.3.0-3.mga6
+ Revision: 1034209
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 0.3.0-2.mga6
+ Revision: 967007
- Mageia 6 Mass Rebuild

* Mon Jun 29 2015 sander85 <sander85> 0.3.0-1.mga6
+ Revision: 847936
- update to v0.3.0

* Wed Oct 15 2014 umeabot <umeabot> 0.2.3-5.mga5
+ Revision: 743798
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.2.3-4.mga5
+ Revision: 686418
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.2.3-3.mga4
+ Revision: 515075
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.2.3-2.mga3
+ Revision: 373447
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 21 2011 jquelin <jquelin> 0.2.3-1.mga1
+ Revision: 29190
- mageia rebuild
- imported package perl-Test-ConsistentVersion

